/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class Figure extends com.mysql.grt.GrtObject {

    protected Figure() {
    }

    public Figure(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new FigureDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new FigureDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.GrtHashMap getContent() {
        return ((FigureData) data).getContent();
    }

    public com.mysql.grt.GrtHashMap setContent(com.mysql.grt.GrtHashMap content) {
        ((FigureData) data).setContent(content);

        return getContent();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        return ((FigureData) data).getScaling();
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        ((FigureData) data).setScaling(scaling);

        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        return ((FigureData) data).getTranslation();
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        ((FigureData) data).setTranslation(translation);

        return getTranslation();
    }

    public com.mysql.grt.GrtRealList getRotation() {
        return ((FigureData) data).getRotation();
    }

    public com.mysql.grt.GrtRealList setRotation(com.mysql.grt.GrtRealList rotation) {
        ((FigureData) data).setRotation(rotation);

        return getRotation();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getScaling() != null) {
                getScaling().getGrtXml(xml, " key=\"scaling\"");
            }

            if (getTranslation() != null) {
                getTranslation().getGrtXml(xml, " key=\"translation\"");
            }

            if (getRotation() != null) {
                getRotation().getGrtXml(xml, " key=\"rotation\"");
            }

            if (getContent() != null) {
                getContent().getGrtXml(xml, " key=\"content\"");
            }

        return xml;
    }
}
