/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class Model extends com.mysql.grt.GrtObject {

    protected Model() {
    }

    public Model(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ModelDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ModelDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.canvas.FigureList getFigures() {
        return ((ModelData) data).getFigures();
    }

    public com.mysql.grt.canvas.FigureList setFigures(com.mysql.grt.canvas.FigureList figures) {
        ((ModelData) data).setFigures(figures);

        return getFigures();
    }

    public com.mysql.grt.canvas.LayoutList getLayouts() {
        return ((ModelData) data).getLayouts();
    }

    public com.mysql.grt.canvas.LayoutList setLayouts(com.mysql.grt.canvas.LayoutList layouts) {
        ((ModelData) data).setLayouts(layouts);

        return getLayouts();
    }

    public com.mysql.grt.canvas.StyleList getStyles() {
        return ((ModelData) data).getStyles();
    }

    public com.mysql.grt.canvas.StyleList setStyles(com.mysql.grt.canvas.StyleList styles) {
        ((ModelData) data).setStyles(styles);

        return getStyles();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getFigures() != null) {
                getFigures().getGrtXml(xml, " key=\"figures\"");
            }

            if (getLayouts() != null) {
                getLayouts().getGrtXml(xml, " key=\"layouts\"");
            }

            if (getStyles() != null) {
                getStyles().getGrtXml(xml, " key=\"styles\"");
            }

        return xml;
    }
}
