/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class View extends com.mysql.grt.GrtObject {

    protected View() {
    }

    public View(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ViewDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ViewDataGlobal((String) obj);
        }
    }

    public double getZoomX() {
        return ((ViewData) data).getZoomX();
    }

    public double setZoomX(double zoomX) {
        ((ViewData) data).setZoomX(zoomX);

        return getZoomX();
    }

    public double getZoomY() {
        return ((ViewData) data).getZoomY();
    }

    public double setZoomY(double zoomY) {
        ((ViewData) data).setZoomY(zoomY);

        return getZoomY();
    }

    public double getX() {
        return ((ViewData) data).getX();
    }

    public double setX(double x) {
        ((ViewData) data).setX(x);

        return getX();
    }

    public double getY() {
        return ((ViewData) data).getY();
    }

    public double setY(double y) {
        ((ViewData) data).setY(y);

        return getY();
    }

    public double getJitter() {
        return ((ViewData) data).getJitter();
    }

    public double setJitter(double jitter) {
        ((ViewData) data).setJitter(jitter);

        return getJitter();
    }

    public String getDescription() {
        return ((ViewData) data).getDescription();
    }

    public String setDescription(String description) {
        ((ViewData) data).setDescription(description);

        return getDescription();
    }

    public String getColor() {
        return ((ViewData) data).getColor();
    }

    public String setColor(String color) {
        ((ViewData) data).setColor(color);

        return getColor();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        return ((ViewData) data).getLayers();
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        ((ViewData) data).setLayers(layers);

        return getLayers();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"real\" key=\"zoomX\">"
                    + Double.toString(getZoomX()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"zoomY\">"
                    + Double.toString(getZoomY()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"x\">"
                    + Double.toString(getX()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"y\">"
                    + Double.toString(getY()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"jitter\">"
                    + Double.toString(getJitter()) + "</value>\n");

            if (getDescription() != null) {
                xml.append("<value type=\"string\" key=\"description\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDescription()) + "</value>\n");
            }

            if (getColor() != null) {
                xml.append("<value type=\"string\" key=\"color\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getColor()) + "</value>\n");
            }

            if (getLayers() != null) {
                getLayers().getGrtXml(xml, " key=\"layers\"");
            }

        return xml;
    }
}
