/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSync extends com.mysql.grt.GrtObject {

    protected DatabaseSync() {
    }

    public DatabaseSync(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new DatabaseSyncDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new DatabaseSyncDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.db.Catalog getDbCatalog() {
        return ((DatabaseSyncData) data).getDbCatalog();
    }

    public com.mysql.grt.db.Catalog setDbCatalog(com.mysql.grt.db.Catalog dbCatalog) {
        ((DatabaseSyncData) data).setDbCatalog(dbCatalog);

        return getDbCatalog();
    }

    public com.mysql.grt.db.DatabaseSyncObject getChangeTree() {
        return ((DatabaseSyncData) data).getChangeTree();
    }

    public com.mysql.grt.db.DatabaseSyncObject setChangeTree(com.mysql.grt.db.DatabaseSyncObject changeTree) {
        ((DatabaseSyncData) data).setChangeTree(changeTree);

        return getChangeTree();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDbCatalog() != null) {
                getDbCatalog().getGrtXml(xml, " key=\"dbCatalog\"");
            }

            if (getChangeTree() != null) {
                getChangeTree().getGrtXml(xml, " key=\"changeTree\"");
            }

        return xml;
    }
}
