/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class RoutineGroup extends com.mysql.grt.db.DatabaseObject {

    protected RoutineGroup() {
    }

    public RoutineGroup(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RoutineGroupDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RoutineGroupDataGlobal((String) obj);
        }
    }

    public int getRoutineExpandedStates() {
        return ((RoutineGroupData) data).getRoutineExpandedStates();
    }

    public int setRoutineExpandedStates(int routineExpandedStates) {
        ((RoutineGroupData) data).setRoutineExpandedStates(routineExpandedStates);

        return getRoutineExpandedStates();
    }

    public int getRoutineExpandedHeights() {
        return ((RoutineGroupData) data).getRoutineExpandedHeights();
    }

    public int setRoutineExpandedHeights(int routineExpandedHeights) {
        ((RoutineGroupData) data).setRoutineExpandedHeights(routineExpandedHeights);

        return getRoutineExpandedHeights();
    }

    public com.mysql.grt.db.RoutineList getRoutines() {
        return ((RoutineGroupData) data).getRoutines();
    }

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines) {
        ((RoutineGroupData) data).setRoutines(routines);

        return getRoutines();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"routineExpandedStates\">"
                    + Integer.toString(getRoutineExpandedStates()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"routineExpandedHeights\">"
                    + Integer.toString(getRoutineExpandedHeights()) + "</value>\n");

            if (getRoutines() != null) {
                getRoutines().getGrtRefXml(xml, " key=\"routines\"");
            }

        return xml;
    }
}
