/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public interface IndexData extends com.mysql.grt.db.IndexData {

    public int getDisabled();

    public int setDisabled(int disabled);

    public int getIndexUsed();

    public int setIndexUsed(int indexUsed);

    public int getRootPage();

    public int setRootPage(int rootPage);

    public int getUsedPages();

    public int setUsedPages(int usedPages);

    public int getIndexPages();

    public int setIndexPages(int indexPages);

    public int getLeafPages();

    public int setLeafPages(int leafPages);

    public int getIndexLevels();

    public int setIndexLevels(int indexLevels);

    public int getTotalSpaceUsed();

    public int setTotalSpaceUsed(int totalSpaceUsed);

    public int getRootPageSpace();

    public int setRootPageSpace(int rootPageSpace);

    public int getIndexPagesSpace();

    public int setIndexPagesSpace(int indexPagesSpace);

    public int getIndexPageSpaceMin();

    public int setIndexPageSpaceMin(int indexPageSpaceMin);

    public int getIndexPageSpaceMax();

    public int setIndexPageSpaceMax(int indexPageSpaceMax);

    public int getLeafPagesSpace();

    public int setLeafPagesSpace(int leafPagesSpace);

    public int getLeafPagesSpaceMin();

    public int setLeafPagesSpaceMin(int leafPagesSpaceMin);

    public int getLeafPagesSpaceMax();

    public int setLeafPagesSpaceMax(int leafPagesSpaceMax);

    public int getNumDistinctValues();

    public int setNumDistinctValues(int numDistinctValues);

    public int getAverageSkLength();

    public int setAverageSkLength(int averageSkLength);

    public int getMinSkLength();

    public int setMinSkLength(int minSkLength);

    public int getMaxSkLength();

    public int setMaxSkLength(int maxSkLength);

    public int getMinSeperatorLength();

    public int setMinSeperatorLength(int minSeperatorLength);

    public int getAvgSeperatorLength();

    public int setAvgSeperatorLength(int avgSeperatorLength);

    public int getMaxSeperatorLength();

    public int setMaxSeperatorLength(int maxSeperatorLength);

    public int getNumRowsPk();

    public int setNumRowsPk(int numRowsPk);

    public int getAvgNumPkPerList();

    public int setAvgNumPkPerList(int avgNumPkPerList);

    public int getMinNumPkPerList();

    public int setMinNumPkPerList(int minNumPkPerList);

    public int getMaxNumPkPerList();

    public int setMaxNumPkPerList(int maxNumPkPerList);

    public int getSelectivityLess1Percent();

    public int setSelectivityLess1Percent(int selectivityLess1Percent);

    public int getSelectivityLess5Percent();

    public int setSelectivityLess5Percent(int selectivityLess5Percent);

    public int getSelectivityLess10Percent();

    public int setSelectivityLess10Percent(int selectivityLess10Percent);

    public int getSelectivityLess25Percent();

    public int setSelectivityLess25Percent(int selectivityLess25Percent);

    public int getSelectivityGreater25Percent();

    public int setSelectivityGreater25Percent(int selectivityGreater25Percent);

    public String getComment();

    public String setComment(String comment);

    public String getFileid();

    public String setFileid(String fileid);

    public String getFilestate();

    public String setFilestate(String filestate);

    public String getCreateDate();

    public String setCreateDate(String createDate);

    public String getCreateTime();

    public String setCreateTime(String createTime);

    public String getFiletype();

    public String setFiletype(String filetype);

}
