/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class View extends com.mysql.grt.db.View {

    protected View() {
    }

    public View(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ViewDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ViewDataGlobal((String) obj);
        }
    }

    public String getCreateDate() {
        return ((ViewData) data).getCreateDate();
    }

    public String setCreateDate(String createDate) {
        ((ViewData) data).setCreateDate(createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return ((ViewData) data).getCreateTime();
    }

    public String setCreateTime(String createTime) {
        ((ViewData) data).setCreateTime(createTime);

        return getCreateTime();
    }

    public String getUpdStatDate() {
        return ((ViewData) data).getUpdStatDate();
    }

    public String setUpdStatDate(String updStatDate) {
        ((ViewData) data).setUpdStatDate(updStatDate);

        return getUpdStatDate();
    }

    public String getUpdStatTime() {
        return ((ViewData) data).getUpdStatTime();
    }

    public String setUpdStatTime(String updStatTime) {
        ((ViewData) data).setUpdStatTime(updStatTime);

        return getUpdStatTime();
    }

    public String getAlterDate() {
        return ((ViewData) data).getAlterDate();
    }

    public String setAlterDate(String alterDate) {
        ((ViewData) data).setAlterDate(alterDate);

        return getAlterDate();
    }

    public String getAlterTime() {
        return ((ViewData) data).getAlterTime();
    }

    public String setAlterTime(String alterTime) {
        ((ViewData) data).setAlterTime(alterTime);

        return getAlterTime();
    }

    public String getUnloaded() {
        return ((ViewData) data).getUnloaded();
    }

    public String setUnloaded(String unloaded) {
        ((ViewData) data).setUnloaded(unloaded);

        return getUnloaded();
    }

    public String getPrivileges() {
        return ((ViewData) data).getPrivileges();
    }

    public String setPrivileges(String privileges) {
        ((ViewData) data).setPrivileges(privileges);

        return getPrivileges();
    }

    public String getComment() {
        return ((ViewData) data).getComment();
    }

    public String setComment(String comment) {
        ((ViewData) data).setComment(comment);

        return getComment();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getCreateDate() != null) {
                xml.append("<value type=\"string\" key=\"createDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateDate()) + "</value>\n");
            }

            if (getCreateTime() != null) {
                xml.append("<value type=\"string\" key=\"createTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateTime()) + "</value>\n");
            }

            if (getUpdStatDate() != null) {
                xml.append("<value type=\"string\" key=\"updStatDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getUpdStatDate()) + "</value>\n");
            }

            if (getUpdStatTime() != null) {
                xml.append("<value type=\"string\" key=\"updStatTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getUpdStatTime()) + "</value>\n");
            }

            if (getAlterDate() != null) {
                xml.append("<value type=\"string\" key=\"alterDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAlterDate()) + "</value>\n");
            }

            if (getAlterTime() != null) {
                xml.append("<value type=\"string\" key=\"alterTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAlterTime()) + "</value>\n");
            }

            if (getUnloaded() != null) {
                xml.append("<value type=\"string\" key=\"unloaded\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getUnloaded()) + "</value>\n");
            }

            if (getPrivileges() != null) {
                xml.append("<value type=\"string\" key=\"privileges\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getPrivileges()) + "</value>\n");
            }

            if (getComment() != null) {
                xml.append("<value type=\"string\" key=\"comment\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getComment()) + "</value>\n");
            }

        return xml;
    }
}
