/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class ConnectionDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ConnectionData {

    private com.mysql.grt.GrtStringHashMap parameterValues;

    private com.mysql.grt.GrtStringHashMap modules;

    private String driver;

    public ConnectionDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.GrtStringHashMap getParameterValues() {
        if (parameterValues == null)
            parameterValues = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return parameterValues;
    }

    public com.mysql.grt.GrtStringHashMap setParameterValues(com.mysql.grt.GrtStringHashMap parameterValues) {
        this.parameterValues = parameterValues;

        return getParameterValues();
    }

    public com.mysql.grt.GrtStringHashMap getModules() {
        if (modules == null)
            modules = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return modules;
    }

    public com.mysql.grt.GrtStringHashMap setModules(com.mysql.grt.GrtStringHashMap modules) {
        this.modules = modules;

        return getModules();
    }

    public com.mysql.grt.db.mgmt.Driver getDriver() {
        return (com.mysql.grt.db.mgmt.Driver) com.mysql.grt.Grt.getInstance().getObjectByRefId(driver);
    }

    public com.mysql.grt.db.mgmt.Driver setDriver(com.mysql.grt.db.mgmt.Driver driver) {
        this.driver = driver.get_id();
        return getDriver();
    }

    public String getDriverById() {
        return driver;
    }

    public void setDriverById(String driver) {
        this.driver = driver;
    }

}
