/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class DriverDataLocal extends com.mysql.grt.GrtObjectDataLocal implements DriverData {

    private int isAccessable;

    private int isInstalled;

    private String caption;

    private String description;

    private String filesTarget;

    private String downloadUrl;

    private com.mysql.grt.GrtStringList files;

    private com.mysql.grt.db.mgmt.DriverParameterList parameters;

    private com.mysql.grt.GrtStringHashMap defaultModules;

    public DriverDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getIsAccessable() {
        return isAccessable;
    }

    public int setIsAccessable(int isAccessable) {
        this.isAccessable = isAccessable;

        return getIsAccessable();
    }

    public int getIsInstalled() {
        return isInstalled;
    }

    public int setIsInstalled(int isInstalled) {
        this.isInstalled = isInstalled;

        return getIsInstalled();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getFilesTarget() {
        return filesTarget;
    }

    public String setFilesTarget(String filesTarget) {
        this.filesTarget = filesTarget;

        return getFilesTarget();
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public String setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;

        return getDownloadUrl();
    }

    public com.mysql.grt.GrtStringHashMap getDefaultModules() {
        if (defaultModules == null)
            defaultModules = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return defaultModules;
    }

    public com.mysql.grt.GrtStringHashMap setDefaultModules(com.mysql.grt.GrtStringHashMap defaultModules) {
        this.defaultModules = defaultModules;

        return getDefaultModules();
    }

    public com.mysql.grt.GrtStringList getFiles() {
        if (files == null)
            files = new com.mysql.grt.GrtStringList(this.grtObject);
        return files;
    }

    public com.mysql.grt.GrtStringList setFiles(com.mysql.grt.GrtStringList files) {
        this.files = files;
        return getFiles();
    }

    public com.mysql.grt.db.mgmt.DriverParameterList getParameters() {
        if (parameters == null)
            parameters = new com.mysql.grt.db.mgmt.DriverParameterList(this.grtObject);
        return parameters;
    }

    public com.mysql.grt.db.mgmt.DriverParameterList setParameters(com.mysql.grt.db.mgmt.DriverParameterList parameters) {
        this.parameters = parameters;
        return getParameters();
    }

}
