/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class MethodDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements MethodData {

    public MethodDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getRating() {
        return getGrtGlobalAsInt("rating");
    }

    public int setRating(int rating) {
        setGrtGlobalFromInt("rating", rating);

        return getRating();
    }

    public String getModuleName() {
        return getGrtGlobalAsString("moduleName");
    }

    public String setModuleName(String moduleName) {
        setGrtGlobalFromString("moduleName", moduleName);

        return getModuleName();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDesc() {
        return getGrtGlobalAsString("desc");
    }

    public String setDesc(String desc) {
        setGrtGlobalFromString("desc", desc);

        return getDesc();
    }

    public String getSourceStructName() {
        return getGrtGlobalAsString("sourceStructName");
    }

    public String setSourceStructName(String sourceStructName) {
        setGrtGlobalFromString("sourceStructName", sourceStructName);

        return getSourceStructName();
    }

    public String getTargetPackageName() {
        return getGrtGlobalAsString("targetPackageName");
    }

    public String setTargetPackageName(String targetPackageName) {
        setGrtGlobalFromString("targetPackageName", targetPackageName);

        return getTargetPackageName();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("params");

    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        setGrtGlobalFromObject("params", params);

        return getParams();
    }

    public com.mysql.grt.db.migration.ParameterGroupList getParamGroups() {
        return (com.mysql.grt.db.migration.ParameterGroupList) getGrtGlobalAsObject("paramGroups");
    }

    public com.mysql.grt.db.migration.ParameterGroupList setParamGroups(com.mysql.grt.db.migration.ParameterGroupList paramGroups) {
        setGrtGlobalFromObject("paramGroups", paramGroups);

        return getParamGroups();
    }

}
