/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class ParameterGroup extends com.mysql.grt.GrtObject {

    protected ParameterGroup() {
    }

    public ParameterGroup(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ParameterGroupDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ParameterGroupDataGlobal((String) obj);
        }
    }

    public String getDesc() {
        return ((ParameterGroupData) data).getDesc();
    }

    public String setDesc(String desc) {
        ((ParameterGroupData) data).setDesc(desc);

        return getDesc();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        return ((ParameterGroupData) data).getParams();
    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        ((ParameterGroupData) data).setParams(params);

        return getParams();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDesc() != null) {
                xml.append("<value type=\"string\" key=\"desc\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDesc()) + "</value>\n");
            }

            if (getParams() != null) {
                getParams().getGrtXml(xml, " key=\"params\"");
            }

        return xml;
    }
}
