/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class IndexDataGlobal extends com.mysql.grt.db.IndexDataGlobal implements IndexData {

    public IndexDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getCompression() {
        return getGrtGlobalAsInt("compression");
    }

    public int setCompression(int compression) {
        setGrtGlobalFromInt("compression", compression);

        return getCompression();
    }

    public int getPrefixLength() {
        return getGrtGlobalAsInt("prefixLength");
    }

    public int setPrefixLength(int prefixLength) {
        setGrtGlobalFromInt("prefixLength", prefixLength);

        return getPrefixLength();
    }

    public int getInitialTrans() {
        return getGrtGlobalAsInt("initialTrans");
    }

    public int setInitialTrans(int initialTrans) {
        setGrtGlobalFromInt("initialTrans", initialTrans);

        return getInitialTrans();
    }

    public int getMaxTrans() {
        return getGrtGlobalAsInt("maxTrans");
    }

    public int setMaxTrans(int maxTrans) {
        setGrtGlobalFromInt("maxTrans", maxTrans);

        return getMaxTrans();
    }

    public int getInitialExtent() {
        return getGrtGlobalAsInt("initialExtent");
    }

    public int setInitialExtent(int initialExtent) {
        setGrtGlobalFromInt("initialExtent", initialExtent);

        return getInitialExtent();
    }

    public int getNextExtent() {
        return getGrtGlobalAsInt("nextExtent");
    }

    public int setNextExtent(int nextExtent) {
        setGrtGlobalFromInt("nextExtent", nextExtent);

        return getNextExtent();
    }

    public int getMinExtents() {
        return getGrtGlobalAsInt("minExtents");
    }

    public int setMinExtents(int minExtents) {
        setGrtGlobalFromInt("minExtents", minExtents);

        return getMinExtents();
    }

    public int getMaxExtents() {
        return getGrtGlobalAsInt("maxExtents");
    }

    public int setMaxExtents(int maxExtents) {
        setGrtGlobalFromInt("maxExtents", maxExtents);

        return getMaxExtents();
    }

    public int getPctIncrease() {
        return getGrtGlobalAsInt("pctIncrease");
    }

    public int setPctIncrease(int pctIncrease) {
        setGrtGlobalFromInt("pctIncrease", pctIncrease);

        return getPctIncrease();
    }

    public int getPctTreshold() {
        return getGrtGlobalAsInt("pctTreshold");
    }

    public int setPctTreshold(int pctTreshold) {
        setGrtGlobalFromInt("pctTreshold", pctTreshold);

        return getPctTreshold();
    }

    public int getBlevel() {
        return getGrtGlobalAsInt("blevel");
    }

    public int setBlevel(int blevel) {
        setGrtGlobalFromInt("blevel", blevel);

        return getBlevel();
    }

    public int getLeafBlocks() {
        return getGrtGlobalAsInt("leafBlocks");
    }

    public int setLeafBlocks(int leafBlocks) {
        setGrtGlobalFromInt("leafBlocks", leafBlocks);

        return getLeafBlocks();
    }

    public int getDistinctKeys() {
        return getGrtGlobalAsInt("distinctKeys");
    }

    public int setDistinctKeys(int distinctKeys) {
        setGrtGlobalFromInt("distinctKeys", distinctKeys);

        return getDistinctKeys();
    }

    public int getAvgLeafBlocksPerKey() {
        return getGrtGlobalAsInt("avgLeafBlocksPerKey");
    }

    public int setAvgLeafBlocksPerKey(int avgLeafBlocksPerKey) {
        setGrtGlobalFromInt("avgLeafBlocksPerKey", avgLeafBlocksPerKey);

        return getAvgLeafBlocksPerKey();
    }

    public int getAvgDataBlocksPerKey() {
        return getGrtGlobalAsInt("avgDataBlocksPerKey");
    }

    public int setAvgDataBlocksPerKey(int avgDataBlocksPerKey) {
        setGrtGlobalFromInt("avgDataBlocksPerKey", avgDataBlocksPerKey);

        return getAvgDataBlocksPerKey();
    }

    public int getClusteringFactor() {
        return getGrtGlobalAsInt("clusteringFactor");
    }

    public int setClusteringFactor(int clusteringFactor) {
        setGrtGlobalFromInt("clusteringFactor", clusteringFactor);

        return getClusteringFactor();
    }

    public int getNumRows() {
        return getGrtGlobalAsInt("numRows");
    }

    public int setNumRows(int numRows) {
        setGrtGlobalFromInt("numRows", numRows);

        return getNumRows();
    }

    public int getGenerated() {
        return getGrtGlobalAsInt("generated");
    }

    public int setGenerated(int generated) {
        setGrtGlobalFromInt("generated", generated);

        return getGenerated();
    }

    public String getTablespace() {
        return getGrtGlobalAsString("tablespace");
    }

    public String setTablespace(String tablespace) {
        setGrtGlobalFromString("tablespace", tablespace);

        return getTablespace();
    }

}
