/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class TableDataLocal extends com.mysql.grt.db.TableDataLocal implements TableData {

    private int pctFreeBlockSpace;

    private int pctUsedBlockSpace;

    private int initialTrans;

    private int maxTrans;

    private int initialExtent;

    private int nextExtent;

    private int minExtents;

    private int maxExtents;

    private int pctIncrease;

    private int numRows;

    private int blocks;

    private int emptyBlocks;

    private int avgSpace;

    private int avgRowLen;

    private int isNestedTable;

    private String tablespaceName;

    private String clusterName;

    public TableDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getPctFreeBlockSpace() {
        return pctFreeBlockSpace;
    }

    public int setPctFreeBlockSpace(int pctFreeBlockSpace) {
        this.pctFreeBlockSpace = pctFreeBlockSpace;

        return getPctFreeBlockSpace();
    }

    public int getPctUsedBlockSpace() {
        return pctUsedBlockSpace;
    }

    public int setPctUsedBlockSpace(int pctUsedBlockSpace) {
        this.pctUsedBlockSpace = pctUsedBlockSpace;

        return getPctUsedBlockSpace();
    }

    public int getInitialTrans() {
        return initialTrans;
    }

    public int setInitialTrans(int initialTrans) {
        this.initialTrans = initialTrans;

        return getInitialTrans();
    }

    public int getMaxTrans() {
        return maxTrans;
    }

    public int setMaxTrans(int maxTrans) {
        this.maxTrans = maxTrans;

        return getMaxTrans();
    }

    public int getInitialExtent() {
        return initialExtent;
    }

    public int setInitialExtent(int initialExtent) {
        this.initialExtent = initialExtent;

        return getInitialExtent();
    }

    public int getNextExtent() {
        return nextExtent;
    }

    public int setNextExtent(int nextExtent) {
        this.nextExtent = nextExtent;

        return getNextExtent();
    }

    public int getMinExtents() {
        return minExtents;
    }

    public int setMinExtents(int minExtents) {
        this.minExtents = minExtents;

        return getMinExtents();
    }

    public int getMaxExtents() {
        return maxExtents;
    }

    public int setMaxExtents(int maxExtents) {
        this.maxExtents = maxExtents;

        return getMaxExtents();
    }

    public int getPctIncrease() {
        return pctIncrease;
    }

    public int setPctIncrease(int pctIncrease) {
        this.pctIncrease = pctIncrease;

        return getPctIncrease();
    }

    public int getNumRows() {
        return numRows;
    }

    public int setNumRows(int numRows) {
        this.numRows = numRows;

        return getNumRows();
    }

    public int getBlocks() {
        return blocks;
    }

    public int setBlocks(int blocks) {
        this.blocks = blocks;

        return getBlocks();
    }

    public int getEmptyBlocks() {
        return emptyBlocks;
    }

    public int setEmptyBlocks(int emptyBlocks) {
        this.emptyBlocks = emptyBlocks;

        return getEmptyBlocks();
    }

    public int getAvgSpace() {
        return avgSpace;
    }

    public int setAvgSpace(int avgSpace) {
        this.avgSpace = avgSpace;

        return getAvgSpace();
    }

    public int getAvgRowLen() {
        return avgRowLen;
    }

    public int setAvgRowLen(int avgRowLen) {
        this.avgRowLen = avgRowLen;

        return getAvgRowLen();
    }

    public int getIsNestedTable() {
        return isNestedTable;
    }

    public int setIsNestedTable(int isNestedTable) {
        this.isNestedTable = isNestedTable;

        return getIsNestedTable();
    }

    public String getTablespaceName() {
        return tablespaceName;
    }

    public String setTablespaceName(String tablespaceName) {
        this.tablespaceName = tablespaceName;

        return getTablespaceName();
    }

    public String getClusterName() {
        return clusterName;
    }

    public String setClusterName(String clusterName) {
        this.clusterName = clusterName;

        return getClusterName();
    }

}
