/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class ResultsetDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ResultsetData {

    public ResultsetDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getRowBlockSize() {
        return getGrtGlobalAsInt("rowBlockSize");
    }

    public int setRowBlockSize(int rowBlockSize) {
        setGrtGlobalFromInt("rowBlockSize", rowBlockSize);

        return getRowBlockSize();
    }

    public int getNextBlockStartRow() {
        return getGrtGlobalAsInt("nextBlockStartRow");
    }

    public int setNextBlockStartRow(int nextBlockStartRow) {
        setGrtGlobalFromInt("nextBlockStartRow", nextBlockStartRow);

        return getNextBlockStartRow();
    }

    public String getSql() {
        return getGrtGlobalAsString("sql");
    }

    public String setSql(String sql) {
        setGrtGlobalFromString("sql", sql);

        return getSql();
    }

    public com.mysql.grt.db.query.ResultsetColumnList getColumns() {
        return (com.mysql.grt.db.query.ResultsetColumnList) getGrtGlobalAsObject("columns");
    }

    public com.mysql.grt.db.query.ResultsetColumnList setColumns(com.mysql.grt.db.query.ResultsetColumnList columns) {
        setGrtGlobalFromObject("columns", columns);

        return getColumns();
    }

    public com.mysql.grt.db.mgmt.Connection getConnection() {
        return (com.mysql.grt.db.mgmt.Connection) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("connection"));
    }

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection) {
        setGrtGlobalFromString("connection", connection.get_id());

        return getConnection();
    }

    public String getConnectionById() {
        return getGrtGlobalAsString("connection");
    }

    public void setConnectionById(String connection) {
        setGrtGlobalFromString("connection", connection);
    }

    public com.mysql.grt.db.query.Query getQuery() {
        return (com.mysql.grt.db.query.Query) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("query"));
    }

    public com.mysql.grt.db.query.Query setQuery(com.mysql.grt.db.query.Query query) {
        setGrtGlobalFromString("query", query.get_id());

        return getQuery();
    }

    public String getQueryById() {
        return getGrtGlobalAsString("query");
    }

    public void setQueryById(String query) {
        setGrtGlobalFromString("query", query);
    }

}
