/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class RelationshipDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements RelationshipData {

    public RelationshipDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getStartMandatory() {
        return getGrtGlobalAsInt("startMandatory");
    }

    public int setStartMandatory(int startMandatory) {
        setGrtGlobalFromInt("startMandatory", startMandatory);

        return getStartMandatory();
    }

    public int getEndMandatory() {
        return getGrtGlobalAsInt("endMandatory");
    }

    public int setEndMandatory(int endMandatory) {
        setGrtGlobalFromInt("endMandatory", endMandatory);

        return getEndMandatory();
    }

    public int getStartMany() {
        return getGrtGlobalAsInt("startMany");
    }

    public int setStartMany(int startMany) {
        setGrtGlobalFromInt("startMany", startMany);

        return getStartMany();
    }

    public int getEndMany() {
        return getGrtGlobalAsInt("endMany");
    }

    public int setEndMany(int endMany) {
        setGrtGlobalFromInt("endMany", endMany);

        return getEndMany();
    }

    public double getCaptionXOffs() {
        return getGrtGlobalAsReal("captionXOffs");
    }

    public double setCaptionXOffs(double captionXOffs) {
        setGrtGlobalFromReal("captionXOffs", captionXOffs);

        return getCaptionXOffs();
    }

    public double getCaptionYOffs() {
        return getGrtGlobalAsReal("captionYOffs");
    }

    public double setCaptionYOffs(double captionYOffs) {
        setGrtGlobalFromReal("captionYOffs", captionYOffs);

        return getCaptionYOffs();
    }

    public double getStartCaptionXOffs() {
        return getGrtGlobalAsReal("startCaptionXOffs");
    }

    public double setStartCaptionXOffs(double startCaptionXOffs) {
        setGrtGlobalFromReal("startCaptionXOffs", startCaptionXOffs);

        return getStartCaptionXOffs();
    }

    public double getStartCaptionYOffs() {
        return getGrtGlobalAsReal("startCaptionYOffs");
    }

    public double setStartCaptionYOffs(double startCaptionYOffs) {
        setGrtGlobalFromReal("startCaptionYOffs", startCaptionYOffs);

        return getStartCaptionYOffs();
    }

    public double getEndCaptionXOffs() {
        return getGrtGlobalAsReal("endCaptionXOffs");
    }

    public double setEndCaptionXOffs(double endCaptionXOffs) {
        setGrtGlobalFromReal("endCaptionXOffs", endCaptionXOffs);

        return getEndCaptionXOffs();
    }

    public double getEndCaptionYOffs() {
        return getGrtGlobalAsReal("endCaptionYOffs");
    }

    public double setEndCaptionYOffs(double endCaptionYOffs) {
        setGrtGlobalFromReal("endCaptionYOffs", endCaptionYOffs);

        return getEndCaptionYOffs();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getStartCaption() {
        return getGrtGlobalAsString("startCaption");
    }

    public String setStartCaption(String startCaption) {
        setGrtGlobalFromString("startCaption", startCaption);

        return getStartCaption();
    }

    public String getEndCaption() {
        return getGrtGlobalAsString("endCaption");
    }

    public String setEndCaption(String endCaption) {
        setGrtGlobalFromString("endCaption", endCaption);

        return getEndCaption();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

    public com.mysql.grt.db.workbench.TableElement getStartTable() {
        return (com.mysql.grt.db.workbench.TableElement) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("startTable"));
    }

    public com.mysql.grt.db.workbench.TableElement setStartTable(com.mysql.grt.db.workbench.TableElement startTable) {
        setGrtGlobalFromString("startTable", startTable.get_id());

        return getStartTable();
    }

    public String getStartTableById() {
        return getGrtGlobalAsString("startTable");
    }

    public void setStartTableById(String startTable) {
        setGrtGlobalFromString("startTable", startTable);
    }

    public com.mysql.grt.db.workbench.TableElement getEndTable() {
        return (com.mysql.grt.db.workbench.TableElement) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("endTable"));
    }

    public com.mysql.grt.db.workbench.TableElement setEndTable(com.mysql.grt.db.workbench.TableElement endTable) {
        setGrtGlobalFromString("endTable", endTable.get_id());

        return getEndTable();
    }

    public String getEndTableById() {
        return getGrtGlobalAsString("endTable");
    }

    public void setEndTableById(String endTable) {
        setGrtGlobalFromString("endTable", endTable);
    }

}
