/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class FormDataGlobal extends com.mysql.grt.forms.WidgetDataGlobal implements FormData {

    public FormDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getActive() {
        return getGrtGlobalAsInt("active");
    }

    public int setActive(int active) {
        setGrtGlobalFromInt("active", active);

        return getActive();
    }

    public int getAlphaBlend() {
        return getGrtGlobalAsInt("alphaBlend");
    }

    public int setAlphaBlend(int alphaBlend) {
        setGrtGlobalFromInt("alphaBlend", alphaBlend);

        return getAlphaBlend();
    }

    public int getAlphaBlendValue() {
        return getGrtGlobalAsInt("alphaBlendValue");
    }

    public int setAlphaBlendValue(int alphaBlendValue) {
        setGrtGlobalFromInt("alphaBlendValue", alphaBlendValue);

        return getAlphaBlendValue();
    }

    public String getWindowState() {
        return getGrtGlobalAsString("windowState");
    }

    public String setWindowState(String windowState) {
        setGrtGlobalFromString("windowState", windowState);

        return getWindowState();
    }

    public String getEventOnCreate() {
        return getGrtGlobalAsString("eventOnCreate");
    }

    public String setEventOnCreate(String eventOnCreate) {
        setGrtGlobalFromString("eventOnCreate", eventOnCreate);

        return getEventOnCreate();
    }

    public String getEventOnDestroy() {
        return getGrtGlobalAsString("eventOnDestroy");
    }

    public String setEventOnDestroy(String eventOnDestroy) {
        setGrtGlobalFromString("eventOnDestroy", eventOnDestroy);

        return getEventOnDestroy();
    }

    public String getEventOnActivate() {
        return getGrtGlobalAsString("eventOnActivate");
    }

    public String setEventOnActivate(String eventOnActivate) {
        setGrtGlobalFromString("eventOnActivate", eventOnActivate);

        return getEventOnActivate();
    }

    public String getEventOnDeactivate() {
        return getGrtGlobalAsString("eventOnDeactivate");
    }

    public String setEventOnDeactivate(String eventOnDeactivate) {
        setGrtGlobalFromString("eventOnDeactivate", eventOnDeactivate);

        return getEventOnDeactivate();
    }

    public String getEventOnClose() {
        return getGrtGlobalAsString("eventOnClose");
    }

    public String setEventOnClose(String eventOnClose) {
        setGrtGlobalFromString("eventOnClose", eventOnClose);

        return getEventOnClose();
    }

    public com.mysql.grt.forms.Action getActions() {
        return (com.mysql.grt.forms.Action) getGrtGlobalAsObject("actions");

    }

    public com.mysql.grt.forms.Action setActions(com.mysql.grt.forms.Action actions) {
        setGrtGlobalFromObject("actions", actions);

        return getActions();
    }

    public com.mysql.grt.forms.Menuitem getMenuitems() {
        return (com.mysql.grt.forms.Menuitem) getGrtGlobalAsObject("menuitems");

    }

    public com.mysql.grt.forms.Menuitem setMenuitems(com.mysql.grt.forms.Menuitem menuitems) {
        setGrtGlobalFromObject("menuitems", menuitems);

        return getMenuitems();
    }

    public com.mysql.grt.forms.Panel getPanels() {
        return (com.mysql.grt.forms.Panel) getGrtGlobalAsObject("panels");

    }

    public com.mysql.grt.forms.Panel setPanels(com.mysql.grt.forms.Panel panels) {
        setGrtGlobalFromObject("panels", panels);

        return getPanels();
    }

    public com.mysql.grt.forms.Button getButtons() {
        return (com.mysql.grt.forms.Button) getGrtGlobalAsObject("buttons");

    }

    public com.mysql.grt.forms.Button setButtons(com.mysql.grt.forms.Button buttons) {
        setGrtGlobalFromObject("buttons", buttons);

        return getButtons();
    }

    public com.mysql.grt.forms.Edit getEdits() {
        return (com.mysql.grt.forms.Edit) getGrtGlobalAsObject("edits");

    }

    public com.mysql.grt.forms.Edit setEdits(com.mysql.grt.forms.Edit edits) {
        setGrtGlobalFromObject("edits", edits);

        return getEdits();
    }

    public com.mysql.grt.forms.Checkbox getCheckboxes() {
        return (com.mysql.grt.forms.Checkbox) getGrtGlobalAsObject("checkboxes");

    }

    public com.mysql.grt.forms.Checkbox setCheckboxes(com.mysql.grt.forms.Checkbox checkboxes) {
        setGrtGlobalFromObject("checkboxes", checkboxes);

        return getCheckboxes();
    }

    public com.mysql.grt.forms.Radiobutton getRadiobuttons() {
        return (com.mysql.grt.forms.Radiobutton) getGrtGlobalAsObject("radiobuttons");

    }

    public com.mysql.grt.forms.Radiobutton setRadiobuttons(com.mysql.grt.forms.Radiobutton radiobuttons) {
        setGrtGlobalFromObject("radiobuttons", radiobuttons);

        return getRadiobuttons();
    }

    public com.mysql.grt.forms.Listbox getListboxes() {
        return (com.mysql.grt.forms.Listbox) getGrtGlobalAsObject("listboxes");

    }

    public com.mysql.grt.forms.Listbox setListboxes(com.mysql.grt.forms.Listbox listboxes) {
        setGrtGlobalFromObject("listboxes", listboxes);

        return getListboxes();
    }

    public com.mysql.grt.forms.Dropdown getDropdowns() {
        return (com.mysql.grt.forms.Dropdown) getGrtGlobalAsObject("dropdowns");

    }

    public com.mysql.grt.forms.Dropdown setDropdowns(com.mysql.grt.forms.Dropdown dropdowns) {
        setGrtGlobalFromObject("dropdowns", dropdowns);

        return getDropdowns();
    }

    public com.mysql.grt.forms.Pagecontrol getPagecontrols() {
        return (com.mysql.grt.forms.Pagecontrol) getGrtGlobalAsObject("pagecontrols");

    }

    public com.mysql.grt.forms.Pagecontrol setPagecontrols(com.mysql.grt.forms.Pagecontrol pagecontrols) {
        setGrtGlobalFromObject("pagecontrols", pagecontrols);

        return getPagecontrols();
    }

    public com.mysql.grt.forms.MenuitemList getMainMenu() {
        return (com.mysql.grt.forms.MenuitemList) getGrtGlobalAsObject("mainMenu");
    }

    public com.mysql.grt.forms.MenuitemList setMainMenu(com.mysql.grt.forms.MenuitemList mainMenu) {
        setGrtGlobalFromObject("mainMenu", mainMenu);

        return getMainMenu();
    }

    public com.mysql.grt.forms.Widget getActiveControl() {
        return (com.mysql.grt.forms.Widget) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("activeControl"));
    }

    public com.mysql.grt.forms.Widget setActiveControl(com.mysql.grt.forms.Widget activeControl) {
        setGrtGlobalFromString("activeControl", activeControl.get_id());

        return getActiveControl();
    }

    public String getActiveControlById() {
        return getGrtGlobalAsString("activeControl");
    }

    public void setActiveControlById(String activeControl) {
        setGrtGlobalFromString("activeControl", activeControl);
    }

}
