/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Menuitem extends com.mysql.grt.GrtObject {

    protected Menuitem() {
    }

    public Menuitem(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new MenuitemDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new MenuitemDataGlobal((String) obj);
        }
    }

    public int getChecked() {
        return ((MenuitemData) data).getChecked();
    }

    public int setChecked(int checked) {
        ((MenuitemData) data).setChecked(checked);

        return getChecked();
    }

    public int getEnabled() {
        return ((MenuitemData) data).getEnabled();
    }

    public int setEnabled(int enabled) {
        ((MenuitemData) data).setEnabled(enabled);

        return getEnabled();
    }

    public int getImageIndex() {
        return ((MenuitemData) data).getImageIndex();
    }

    public int setImageIndex(int imageIndex) {
        ((MenuitemData) data).setImageIndex(imageIndex);

        return getImageIndex();
    }

    public String getAction() {
        return ((MenuitemData) data).getAction();
    }

    public String setAction(String action) {
        ((MenuitemData) data).setAction(action);

        return getAction();
    }

    public String getCaption() {
        return ((MenuitemData) data).getCaption();
    }

    public String setCaption(String caption) {
        ((MenuitemData) data).setCaption(caption);

        return getCaption();
    }

    public String getEventOnClick() {
        return ((MenuitemData) data).getEventOnClick();
    }

    public String setEventOnClick(String eventOnClick) {
        ((MenuitemData) data).setEventOnClick(eventOnClick);

        return getEventOnClick();
    }

    public com.mysql.grt.forms.MenuitemList getItems() {
        return ((MenuitemData) data).getItems();
    }

    public com.mysql.grt.forms.MenuitemList setItems(com.mysql.grt.forms.MenuitemList items) {
        ((MenuitemData) data).setItems(items);

        return getItems();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"checked\">"
                    + Integer.toString(getChecked()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"enabled\">"
                    + Integer.toString(getEnabled()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"imageIndex\">"
                    + Integer.toString(getImageIndex()) + "</value>\n");

            if (getAction() != null) {
                xml.append("<value type=\"string\" key=\"action\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAction()) + "</value>\n");
            }

            if (getCaption() != null) {
                xml.append("<value type=\"string\" key=\"caption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCaption()) + "</value>\n");
            }

            if (getEventOnClick() != null) {
                xml.append("<value type=\"string\" key=\"eventOnClick\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnClick()) + "</value>\n");
            }

            if (getItems() != null) {
                getItems().getGrtXml(xml, " key=\"items\"");
            }

        return xml;
    }
}
