/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ElementDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ElementData {

    public ElementDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getVisible() {
        return getGrtGlobalAsInt("visible");
    }

    public int setVisible(int visible) {
        setGrtGlobalFromInt("visible", visible);

        return getVisible();
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public int getLocked() {
        return getGrtGlobalAsInt("locked");
    }

    public int setLocked(int locked) {
        setGrtGlobalFromInt("locked", locked);

        return getLocked();
    }

    public int getExpanded() {
        return getGrtGlobalAsInt("expanded");
    }

    public int setExpanded(int expanded) {
        setGrtGlobalFromInt("expanded", expanded);

        return getExpanded();
    }

    public double getLeft() {
        return getGrtGlobalAsReal("left");
    }

    public double setLeft(double left) {
        setGrtGlobalFromReal("left", left);

        return getLeft();
    }

    public double getTop() {
        return getGrtGlobalAsReal("top");
    }

    public double setTop(double top) {
        setGrtGlobalFromReal("top", top);

        return getTop();
    }

    public double getWidth() {
        return getGrtGlobalAsReal("width");
    }

    public double setWidth(double width) {
        setGrtGlobalFromReal("width", width);

        return getWidth();
    }

    public double getHeight() {
        return getGrtGlobalAsReal("height");
    }

    public double setHeight(double height) {
        setGrtGlobalFromReal("height", height);

        return getHeight();
    }

    public String getLayoutClass() {
        return getGrtGlobalAsString("layoutClass");
    }

    public String setLayoutClass(String layoutClass) {
        setGrtGlobalFromString("layoutClass", layoutClass);

        return getLayoutClass();
    }

    public com.mysql.grt.model.Layer getLayer() {
        return (com.mysql.grt.model.Layer) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("layer"));
    }

    public com.mysql.grt.model.Layer setLayer(com.mysql.grt.model.Layer layer) {
        setGrtGlobalFromString("layer", layer.get_id());

        return getLayer();
    }

    public String getLayerById() {
        return getGrtGlobalAsString("layer");
    }

    public void setLayerById(String layer) {
        setGrtGlobalFromString("layer", layer);
    }

    public com.mysql.grt.model.Group getGroup() {
        return (com.mysql.grt.model.Group) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("group"));
    }

    public com.mysql.grt.model.Group setGroup(com.mysql.grt.model.Group group) {
        setGrtGlobalFromString("group", group.get_id());

        return getGroup();
    }

    public String getGroupById() {
        return getGrtGlobalAsString("group");
    }

    public void setGroupById(String group) {
        setGrtGlobalFromString("group", group);
    }

}
